import React from "react";
import { PopupType } from "./Popup.model";
interface IProps {
    showCloseButton: boolean;
    type: PopupType;
    hideModal: () => void;
    title: string;
    headerTextStyle?: React.CSSProperties;
    headerStyle?: React.CSSProperties;
    customIcon?: () => JSX.Element;
}
declare const Header: ({ showCloseButton, type, hideModal, title, headerTextStyle, headerStyle, customIcon, }: IProps) => JSX.Element;
export default Header;
