import React from "react";
import "react-datepicker/dist/react-datepicker.css";
import { InputProps, OptionDialogButton, PopupType } from "./Popup.model";
interface DialogProps {
    title: string;
    text: string;
    type: PopupType;
    hideModal: () => {};
    options: Array<OptionDialogButton>;
    onConfirm: (result?: {
        [key: string]: any;
    }) => {};
    onCancel: (result?: {
        [key: string]: any;
    }) => {};
    isAlert: boolean;
    isInput: boolean;
    confirmText: string;
    cancelText: string;
    showCloseButton: boolean;
    inputs: Array<InputProps>;
    onDismissed: (result?: {
        [key: string]: any;
    }) => {};
    onOpened: (result?: {
        [key: string]: any;
    }) => {};
    input: InputProps;
    headerTextStyle?: React.CSSProperties;
    errorMessageStyle?: React.CSSProperties;
    textStyle?: React.CSSProperties;
    containerStyle?: React.CSSProperties;
    headerStyle?: React.CSSProperties;
    footerStyle?: React.CSSProperties;
    bodyComponent?: JSX.Element;
    customIcon?: () => JSX.Element;
}
declare const Dialog: (props: DialogProps) => JSX.Element;
export default Dialog;
