/// <reference types="react" />
import { IToast } from "../components/Toast/Toast.model";
import { IPopupContext } from "../context/PopupContext.model";
export declare const PopupReducer: (state: any, { type, component, componentProps, componentJSX, toast, id, }: {
    type: "openModal" | "hideModal" | "showToast" | "hideToast";
    componentJSX?: JSX.Element | undefined;
    component?: any;
    componentProps?: any;
    toast?: IToast | undefined;
    id?: string | undefined;
}) => any;
declare let ExportedPopupActions: Omit<IPopupContext, "componentProps" | "component" | "componentJSX" | "toasts">;
export { ExportedPopupActions as PopupActions };
